Eclipse Platform Release 3.7

## org.eclipse.ant.core
Class TargetInfo

    java.lang.Object
      org.eclipse.ant.core.TargetInfo

    public class TargetInfo

extends Object

Represents information about a target within an Ant build file. Clients may not instantiate or subclass this class.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Method Summary
`boolean` `equals(Object obj)`
`String[]` `getDependencies()` Return the names of the targets that this target depends on.
`String` `getDescription()` Returns the target description or `null` if no description is provided.
`String` `getName()` Returns the target name.
`ProjectInfo` `getProject()` Returns the ProjectInfo of the enclosing project.
`int` `hashCode()`
`boolean` `isDefault()` Returns whether this is the build file default target.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the target name.

  Returns:
    the target name

### getDescription

    public String getDescription()

  Returns the target description or `null` if no description is provided.

  Returns:
    the target description or `null` if none

### getProject

    public ProjectInfo getProject()

  Returns the ProjectInfo of the enclosing project.

  Returns:
    the project info for the enclosing project

### getDependencies

    public String[] getDependencies()

  Return the names of the targets that this target depends on.

  Returns:
    the dependent names

### isDefault

    public boolean isDefault()

  Returns whether this is the build file default target.

  Returns:
    whether this is the build file default target

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.